Subject: Summary of TSIG changes since IETF last call

From: Olafur Gudmundsson <[email-masked]>
Date: Tue, 7 Mar 2000 13:23:38 -0500

There have been a number of changes requested by the IESG and IETF
Last call commentators. Current draft addresses all the concerns and
issues.

TSIG draft now distinguishes between Transaction Signatures (SIG(0))
and message authentication code (MAC). Change insisted upon by Steve Kent. 

New algorithms MUST be registered with IANA. 
Algorithm name is now domain name encoding of a character string and 
there is no requirement that it is a resolvable name. 

Old version did not capitalize all MUST/SHOULD/MAY/REQUIRED statements, fixed. 
Wording on truncation case made clearer, processing of Incoming messages 
(section 3.2) contains more explicit MUST and SHOULD statements.

Section 4.2 now explicitly outlaws servers from adding a TSIG to a unsigned
query. 

Section 4.5.2 has added text about replay prevention and allows servers
to discard TSIG messages if one with more recent time has been received. 

Section 7 IANA considerations has been rewritten to reflect the requirements 
that algorithm names are unique and not a valid domain names. 
The name "HMAC-MD5.SIG-ALG.REG.INT" is grandfathered in as a name to
allow exisiting implementations to function.
New paragraph has been added to cover assignment of new TSIG error codes. 

    Olafur

to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.